šŸ”“šŸ”µ Computes the nutritional information of a recipe from a list of ingredients.

This endpoint receives a list of ingredients and automatically computes the overall nutritional information for the recipe based on their combined nutritional values.

Ā 

Each ingredient must be specified with either:

  • ingredientId: the internal ID of the ingredient within the LogMeal system, or
  • ingredientName: a custom ingredient name (used only if the ID is not available)

And must include:

  • ingredientAmount: the quantity (in grams) of the ingredient.

Ā 

The system aggregates the nutritional contributions of all ingredients and returns a list of computed nutritional indicators (such as calories, proteins, sugars, etc.), including the indicator code and total quantity.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Parameters sent in data, in json format.

Ā 

A list of ingredients is needed.

ingredient_list
array of objects
required

List of ingredients whose nutritional value will be auto-computed.

ingredient_list*
Responses

401

Unauthorized, invalid token

403

You are not allowed to this method.

404

The specified URL was not found or couldn’t be retrieved

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json